<?php
/**
 * sample code for GiroCheckout integration of a credit card transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 73 $ / $Date: 2014-10-01 17:40:24 +0200 (Mi, 01 Okt 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = "xxxxxxxxxx";


/* get pkn number from GiroConnect */
try {
	$request = new GiroCheckout_SDK_Request('creditCardGetPKN');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('reference','9ac01a22-ccaf-4ef1-b02e-847b7389f07d')
	    //the hash field is auto generated by the SDK
	        ->submit();

	/* if transaction succeeded update your local system an redirect the customer */
	if($request->requestHasSucceeded())
	{
	     $request->getResponseParam('reference');
	     $request->getResponseParam('pkn');
	     $request->getResponseParam('cardnumber');
	     $request->getResponseParam('expiremonth');
	     $request->getResponseParam('expireyear');
	}
	
	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	   $request->getResponseParam('rc');
	   $request->getResponseParam('msg');
	   $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { echo $e->getMessage(); }