<?php
/**
 * sample code for GiroCheckout integration of getting a reference for a
 * GiroCode Epc transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 73 $ / $Date: 2014-10-01 17:40:24 +0200 (Mi, 01 Okt 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 350000;
$projectID = 0000;
$projectPassword = "xxxxxxxxxx";


/* get a reference for a GiroCode Payment transaction */
try {
	$request = new GiroCheckout_SDK_Request('giroCodeCreatePayment');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('merchantTxId', 1234567890)
	        ->addParam('amount',100)
	        ->addParam('currency','EUR')
	        ->addParam('purposetext','GiroCode EPC Transaktion')
	        ->addParam('paymentreference','EPAY')
	        ->addParam('purposecode','EPAY')
	        ->addParam('infotext','')
	        ->addParam('receivername','John Doe')
	        ->addParam('receiveriban','DE12345678901234567890')
	        ->addParam('receiverbic','TESTDE12345')
	        ->addParam('format', 'epc-qr-optimizied')
	        ->addParam('resolution', 300)
	    //the hash field is auto generated by the SDK
	        ->submit();

	/* if transaction succeeded  */
	if($request->requestHasSucceeded())
	{
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    $request->getResponseParam('girocodereference');
	    base64_decode($request->getResponseParam('image'));
	}

	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { echo $e->getMessage(); }