<?php
/**
 * sample code for GiroConnect integration of a notification page
 *
 * @filesource
 * @package Samples
 * @version $Revision: 80 $ / $Date: 2014-10-21 18:49:14 +0200 (Di, 21 Okt 2014) $
 */
require_once '../GiroCheckout_SDK/GiroCheckout_SDK.php';


//set the secret for hash validation of the received data
$projectPassword = "xxxxxxxxxx";

//init notification and pass transaction type, set password and parse the received data
try {
	$notify = new GiroCheckout_SDK_Notify('directDebitTransaction');
	$notify->setSecret($projectPassword);
	$notify->parseNotification($_GET);
	
	
	//check response and update transaction
	if($notify->paymentSuccessful()) {
	    $notify->getResponseParam('gcReference');
	    $notify->getResponseParam('gcMerchantTxId');
	    $notify->getResponseParam('gcBackendTxId');
	    $notify->getResponseParam('gcAmount');
	    $notify->getResponseParam('gcCurrency');
	    $notify->getResponseParam('gcResultPayment');
	
	    if($notify->avsSuccessful()) {
	        $notify->getResponseParam('gcResultAVS');
	    }
	
	    $notify->sendOkStatus();
	    exit;
	}
	else {
	    $notify->getResponseParam('gcReference');
	    $notify->getResponseParam('gcMerchantTxId');
	    $notify->getResponseParam('gcBackendTxId');
	    $notify->getResponseParam('gcResultPayment');
	    $notify->getResponseMessage($notify->getResponseParam('gcResultPayment'),'DE');
	
	    $notify->sendOkStatus();
	    exit;
	}
	
	$notify->sendOtherStatus();
}
catch (Exception $e) {
	echo $e->getMessage();	
}